using pix_payload_generator.net.Models.CobrancaModels;
using pix_payload_generator.net.Models.PayloadModels;

namespace fatd_faturamento.BLL.RegraNegocio
{
    public class regraNegocioPIX
    {
        public string GerarPix(string strChave_Pix, string strEmpresa_Nome, string strEmpresa_Cidade, string strValorTotal)
        {
            string result = string.Empty;

            Cobranca cobranca = new Cobranca(_chave: strChave_Pix)
            {
                SolicitacaoPagador = "",
                Valor = new Valor
                {
                    Original = strValorTotal
                }
            };

            var payload = cobranca.ToPayload("***", new Merchant(strEmpresa_Nome, strEmpresa_Cidade));

            var stringToQrCode = payload.GenerateStringToQrCode();

            result = stringToQrCode;

            return result;
        }

    }
}
